Bio::Graph::IO::psi_xml(3)

NAME
Bio::Graph::IO::psi_xml

SYNOPSIS
Do not use this module directly, use Bio::Graph::IO, for example:

  my $graph_io = Bio::Graph::IO->new(-format => 'psi_xml',
                                     -file   => 'data.xml');

METHODS
The naming system is analagous to the SeqIO system, although usually next_network() will be called only once per file.

  next_network
 name       : next_network
 purpose    : to construct a protein interaction graph from xml data
 usage      : my $gr = $io->next_network();
 arguments  : void
 returns    : A Bio::Graph::ProteinGraph object

  _proteinInteractor
 name      : _proteinInteractor
 purpose   : parses protein information into Bio::Seq::RichSeq objects
 returns   : void
 usage     : internally called by next_network(),
 arguments : none.

  add_edge
 name     : add_edge
 purpose  : adds a new edge to a graph
 usage    : do not call, called by next_network
 returns  : void